/*
 * Selectable.java
 *
 * Created on July 7, 2003, 3:13 PM
 */

import java.awt.*;
import java.awt.event.*;

/**
 * The Selectable interface is used by graphic classes that are able to
 * be selected on the map.
 * 
 * @author Gunnar Gauslaa Bergem
 */
public interface Selectable {
    public void drawSelected(Graphics g);
    public void performMouseClickAction(MapFrame mapFrame, MouseEvent e);
    public void showStatistics(MapFrame mapFrame, MouseEvent e);
    public void addURL(String urlInfo,String urlString);
}
