
import java.net.*;
import javax.swing.JMenuItem;


/**
 * This class represents a clickable URL.
 * 
 * @author Gunnar Gauslaa Bergem
 */

public class URLElement extends JMenuItem {
    private URL url;

    public URLElement(String menuTitle, String urlString) {
        super(menuTitle);
        try {
            if (!urlString.startsWith("telnet")) {
                url = new URL(urlString);
            }
        }
        catch (MalformedURLException e) {
            /*
            System.err.println("Caught MalformedURLException: " + e.getMessage() +
            " in link: " + urlString);
            */
        }
    }
    
    public URL getURL() {
        return url;
    }
}


